version: '2'
services:
  mariadb-dtt:
    container_name: moodledb-dtt
    image: docker.io/bitnami/mariadb:11.1
    environment:
      # ALLOW_EMPTY_PASSWORD is recommended only for development.
      - ALLOW_EMPTY_PASSWORD=yes
      - MARIADB_USER=bn_moodle
      - MARIADB_DATABASE=bitnami_moodle
      - MARIADB_CHARACTER_SET=utf8mb4
      - MARIADB_COLLATE=utf8mb4_unicode_ci
    volumes:
      - 'mariadb_data_dtt:/bitnami/mariadb'

  moodle-dtt:
    container_name: moodle-dtt
    image: docker.io/bitnami/moodle:4.4
    ports:
      - '81:8080'
      - '444:8443'
    environment:
      - MOODLE_DATABASE_HOST=mariadb-dtt
      - MOODLE_DATABASE_PORT_NUMBER=3306
      - MOODLE_DATABASE_USER=bn_moodle
      - MOODLE_DATABASE_NAME=bitnami_moodle
      # ALLOW_EMPTY_PASSWORD is recommended only for development.
      - ALLOW_EMPTY_PASSWORD=yes
    volumes:
      - 'moodle_data_dtt:/bitnami/moodle'
      - 'moodledata_data_dtt:/bitnami/moodledata'
    depends_on:
      - mariadb-dtt

  backend:
    container_name: cota-backend
    image: cota-backend:flexmounts
    user: "${UID}:${GID}"
    environment:
      - HOST_TEST_DIR=/tmp/cota-tests
      - CONTAINER_TEST_DIR=/tmp/cota-tests
    volumes: 
      - /var/run/docker.sock:/var/run/docker.sock
      - "${HOST_TEST_DIR}:${CONTAINER_TEST_DIR}"

volumes:
  mariadb_data_dtt:
    driver: local
  moodle_data_dtt:
    driver: local
  moodledata_data_dtt:
    driver: local
